summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2022-09-05 21:20:03 -0400
committerMike Gilbert <floppym@gentoo.org>2022-09-06 11:41:41 -0400
commit7f907ce3d78a95139ebad835ae9a3d9ae123d9c6 (patch)
tree30a57949195b146a6050064107db19902580215b
parentdev-ml/biniou: bump to 1.2.2 (diff)
downloadgentoo-7f907ce3.tar.gz
gentoo-7f907ce3.tar.bz2
gentoo-7f907ce3.zip
kernel-install.eclass: pkg_preinst: fix symlinks for merged-usr
Closes: https://bugs.gentoo.org/843821 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
-rw-r--r--eclass/kernel-install.eclass6
1 files changed, 6 insertions, 0 deletions
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 08f631b5e865..8acf1ad1bc05 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -418,6 +418,12 @@ kernel-install_pkg_preinst() {
eerror "Please verify that you are applying the correct patches."
die "Kernel release mismatch (${release} instead of ${PV}*)"
fi
+ if [[ -L ${EROOT}/lib && ${EROOT}/lib -ef ${EROOT}/usr/lib ]]; then
+ # Adjust symlinks for merged-usr.
+ rm "${ED}/lib/modules/${ver}"/{build,source} || die
+ dosym "../../../src/linux-${ver}" "/usr/lib/modules/${ver}/build"
+ dosym "../../../src/linux-${ver}" "/usr/lib/modules/${ver}/source"
+ fi
}
# @FUNCTION: kernel-install_install_all